# DataExchange
TKSTEPBase
StepBasic

# StepBasic_MeasureWithUnit Class Reference

`#include <StepBasic_MeasureWithUnit.hxx>`

Inheritance diagram for StepBasic_MeasureWithUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_MeasureWithUnit ()
| Returns a MeasureWithUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_MeasureValueMember)&aValueComponent, const StepBasic_Unit &aUnitComponent)
Standard_EXPORT void | SetValueComponent (const Standard_Real aValueComponent)
Standard_EXPORT Standard_Real | ValueComponent () const
Standard_EXPORT Handle_StepBasic_MeasureValueMember | ValueComponentMember () const
Standard_EXPORT void | SetValueComponentMember (const Handle(StepBasic_MeasureValueMember)&val)
Standard_EXPORT void | SetUnitComponent (const StepBasic_Unit &aUnitComponent)
Standard_EXPORT StepBasic_Unit | UnitComponent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_MeasureValueMember | valueComponent
StepBasic_Unit | unitComponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_MeasureWithUnit::StepBasic_MeasureWithUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_MeasureWithUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_LengthMeasureWithUnit, StepBasic_MassMeasureWithUnit, StepBasic_PlaneAngleMeasureWithUnit, StepBasic_RatioMeasureWithUnit, StepBasic_SolidAngleMeasureWithUnit, StepBasic_TimeMeasureWithUnit, and StepBasic_UncertaintyMeasureWithUnit.

virtual Standard_EXPORT void StepBasic_MeasureWithUnit::Init | ( | const Handle(StepBasic_MeasureValueMember)& | aValueComponent,
|  | const StepBasic_Unit & | aUnitComponent
| ) | `[virtual]`

| Reimplemented in StepBasic_UncertaintyMeasureWithUnit.

Standard_EXPORT void StepBasic_MeasureWithUnit::SetUnitComponent | ( | const StepBasic_Unit & | aUnitComponent | ) |

Standard_EXPORT void StepBasic_MeasureWithUnit::SetValueComponent | ( | const Standard_Real | aValueComponent | ) |

Standard_EXPORT void StepBasic_MeasureWithUnit::SetValueComponentMember | ( | const Handle(StepBasic_MeasureValueMember)& | val | ) |

Standard_EXPORT StepBasic_Unit StepBasic_MeasureWithUnit::UnitComponent | ( |  | ) | const

Standard_EXPORT Standard_Real StepBasic_MeasureWithUnit::ValueComponent | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_MeasureValueMember StepBasic_MeasureWithUnit::ValueComponentMember | ( |  | ) | const

## Field Documentation

StepBasic_Unit StepBasic_MeasureWithUnit::unitComponent `[private]`

Handle_StepBasic_MeasureValueMember StepBasic_MeasureWithUnit::valueComponent `[private]`

The documentation for this class was generated from the following file:

- StepBasic_MeasureWithUnit.hxx